#
# spec file for package libgpg-error (Version 1.7)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           libgpg-error
Url:            http://www.gnupg.org/
Version:        1.7
Release:        3
Summary:        Library That Defines Common Error Values for All GnuPG Components
License:        GPLv2+ ; LGPLv2.1+
Group:          Development/Libraries/C and C++
AutoReqProv:    on
Source:         %name-%version.tar.bz2
Source2:        baselibs.conf
# rename package to "libgpg-error-nld" and set this to 1 for NLD
%define nld_build 0
Patch0:         %name-nld-build.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This is a library that defines common error values for all GnuPG
components.  Among these are GPG, GPGSM, GPGME, GPG-Agent, libgcrypt,
pinentry, SmartCard Daemon, and possibly more in the future.



Authors:
--------
    Marcus Brinkmann <marcus@g10code.com>

%package -n libgpg-error0
Summary:        Library That Defines Common Error Values for All GnuPG Components
License:        GPLv2+ ; LGPLv2.1+
Group:          Development/Libraries/C and C++
# bug437293
%ifarch ppc64
Obsoletes:      libgpg-error-64bit
%endif
#
Provides:       libgpg-error = %version
Obsoletes:      libgpg-error < %version

%description -n libgpg-error0
This is a library that defines common error values for all GnuPG
components.  Among these are GPG, GPGSM, GPGME, GPG-Agent, libgcrypt,
pinentry, SmartCard Daemon, and possibly more in the future.



Authors:
--------
    Marcus Brinkmann <marcus@g10code.com>

%package devel
License:        GPLv2+ ; LGPLv2.1+ ; MIT License (or similar)
Summary:        Development package for libgpg-error
Group:          Development/Libraries/C and C++
# bug437293
%ifarch ppc64
Obsoletes:      libgpg-error-devel-64bit
%endif
#
%if %nld_build
Conflicts:      libgpg-error-devel
%endif
Requires:       libgpg-error0 = %version glibc-devel

%description devel
Files needed for software development using libgpg-error.



Authors:
--------
    Marcus Brinkmann <marcus@g10code.com>

%prep
%setup -q -n libgpg-error-%version
%if %nld_build
%patch0
%endif

%build
autoreconf -fiv
%configure --disable-static --with-pic --libdir=/%{_lib} 
%{__make} %{?jobs:-j%jobs}

%install
make DESTDIR=$RPM_BUILD_ROOT install
rm $RPM_BUILD_ROOT/%{_lib}/libgpg-error.la
mkdir -p $RPM_BUILD_ROOT%{_libdir}
%{__ln_s} -v /%{_lib}/$(readlink %{buildroot}/%{_lib}/%{name}.so) %{buildroot}%{_libdir}/%{name}.so
%{__rm} -v %{buildroot}/%{_lib}/%{name}.so
# Drop the lisp stuff, it depends on ASDF and CFFI
# which needs to be packaged first
rm -r %{buildroot}/usr/share/common-lisp
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n libgpg-error0 -p /sbin/ldconfig

%postun -n libgpg-error0 -p /sbin/ldconfig

%files -n libgpg-error0 -f %{name}.lang
%defattr(-,root,root)
/%_lib/libgpg-error*.so.*

%files devel
%defattr(-,root,root)
%doc README NEWS ChangeLog COPYING.LIB COPYING AUTHORS ABOUT-NLS
%_datadir/aclocal/gpg-error.m4
%_includedir/*
%_bindir/*
%_libdir/libgpg-error*.so

%changelog
